Transition gate policy
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidpolicy_id*Policy IdFormat
uuidapplication/json- body
expected_revision*Expected RevisionRange
1 <= valuereason*ReasonLength
10 <= length <= 4000state*IntentGateStateValue in
"shadow""enforced""retired"Successful Response
application/json- response
asset_classes*content_sha256*Content Sha256created_at*Created AtFormat
date-timecreated_by_name*Created By Nameid*IdFormat
uuidmetrics*published_number*Published Numberrevision*Revisionrules*array<>scope_key*Scope Keystate*IntentGateStateValue in
"shadow""enforced""retired"target_precision*Target Precisiontarget_title*Target Titletarget_version_id*Target Version IdFormat
uuidupdated_at*Updated AtFormat
date-timecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08/transition' \ -H 'Content-Type: application/json' \ -d '{ "expected_revision": 1, "reason": "stringstri", "state": "shadow"}'Example Response
{ "asset_classes": { "property1": "crown_jewel", "property2": "crown_jewel" }, "content_sha256": "string", "created_at": "2019-08-24T14:15:22Z", "created_by_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "metrics": { "false_negatives": 0, "false_positives": 0, "observed_precision": 0, "passing_samples": 0, "promotion_blockers": [ "string" ], "reviewed_samples": 0, "true_positives": 0, "unknown_samples": 0 }, "published_number": 0, "revision": 0, "rules": [ { "decision_id": "string", "key": "string", "rule": { "id": "string", "predicates": [ { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] } ], "title": "string" }, "source": "invariant" } ], "scope_key": "string", "state": "shadow", "target_precision": 0, "target_title": "string", "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1", "updated_at": "2019-08-24T14:15:22Z"}